<?php

/*
  Plugin Name: Easy Privacy Policy Pro
  Plugin URI: http://runeellingsen.com/products/eppp
  Description: Create A Privacy Policy Page and the Other Pages Easily with a Click.
  Version: 1.0
  Author: WP EPP Dev
  Author URI: http://runeellingsen.com
  License: A "Slug" license name e.g. GPL2
 */

if (!defined('ABSPATH')) {
    header('HTTP/1.0 403 Forbidden');
    die('No Direct Access Allowed!');
}

if (!defined('EPPP_PATH'))
    define('EPPP_PATH', plugin_dir_path(__FILE__));
if (!defined('EPPP_URL'))
    define('EPPP_URL', plugin_dir_url(__FILE__));

class WP_Easy_Privacy_Policy_Pro {

    /**
     * WP Eppp Generator
     */
    public $generator;

    /**
     * WP Eppp Administration
     */
    private $admin;
    private $extend_page;
    private $page_genarate;

    /**
     * Construct Pinit Object
     */
    function __construct() {
        require EPPP_PATH . 'inc/class-eppp-generator.php';
        require EPPP_PATH . 'admin/class-eppp-admin.php';
        
        require EPPP_PATH . 'extend/extend_generate_page.php';
        $this->generator = new extend_generate_page();
        
        require EPPP_PATH . 'extend/extend_page_generater.php';
        $this->extend_page = new extend_page_generater();
    }

}

$wp_eppp = new WP_Easy_Privacy_Policy_Pro();
?>
