<?php

/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

/**
 * Description of extend_page_generater
 *
 * @author User
 */
class extend_page_generater extends WP_Easy_Privacy_Policy_Pro_Admin {

    /**
     * Render Admin Menu
     *
     * Outputs the admin menu
     */
    function render_admin_menu() {
        echo '<div class="wrap">';
        echo '<div id="icon-edit" class="icon32"><br /></div>';
        echo '<h2>' . __('Easy Privacy Policy Pro', 'eppp') . '</h2>';
        $this->eppp_settings_tabs();
        settings_errors();
        echo '<form action="options.php" method="post">';
        if (isset($_GET['tab'])) :
            $tab = $_GET['tab'];
        else:
            $tab = 'generator';
        endif;

        switch ($tab) :
            case 'generator' :
                require EPPP_PATH . 'admin/tab-generator.php';
                require EPPP_PATH . 'extend/extend_genarate.php';
                break;
            case 'information' :
                require EPPP_PATH . 'admin/tab-information.php';
                require EPPP_PATH . 'extend/extend_informations.php';
                break;
        endswitch;

        settings_fields('eppp_options');
        do_settings_sections('manage-eppp');

        echo '</form>';
        echo '</div>';
    }

    /**
     * Eppp Options Validate
     */
    function eppp_options_validate($input) {
        /**
         * Get Current Options.
         */
        $options = get_option('eppp_options');
        $output = $options;

        /**
         * Save Settings.
         */
        if (isset($input['save_settings'])) {
            $output['name'] = sanitize_text_field($input['name']);
            $output['reg_number'] = sanitize_text_field($input['reg_number']);
            $output['reg_place'] = sanitize_text_field($input['reg_place']);
            $output['address'] = sanitize_text_field($input['address']);
            $output['city'] = sanitize_text_field($input['city']);
            $output['state'] = sanitize_text_field($input['state']);
            $output['zip'] = sanitize_text_field($input['zip']);
            $output['email'] = sanitize_email($input['email']);
            $output['rwurl'] = $input['rwurl'];

            $message = 'EPPP Settings Saved';
            $type = 'updated';
        }

        /**
         * Reset Emails Settings.
         */
        if (isset($input['reset_settings'])) {
            $options = $this->options;
            $output = $options;

            $message = 'EPPP Settings Reset';
            $type = 'updated';
        }

        /**
         * Generate Pages
         */
        if (isset($input['generate_pages'])) {
            $pages['pp'] = isset($input['pp']) ? true : false;
            $pages['disclaimer'] = isset($input['disclaimer']) ? true : false;
            $pages['tos'] = isset($input['tos']) ? true : false;
            $pages['contact'] = isset($input['contact']) ? true : false;
            $pages['aaa'] = isset($input['aaa']) ? true : false;
            $pages['afd'] = isset($input['afd']) ? true : false;
            $pages['cr'] = isset($input['cr']) ? true : false;

            if ($pages['cr'] || $pages['afd'] || $pages['pp'] || $pages['disclaimer'] || $pages['tos'] || $pages['contact'] || $pages['aaa']) {
                global $wp_eppp;
                $wp_eppp->generator->generate_pages($pages);
                $message = 'Pages Generated';
            } else {
                $message = 'No Pages Generated';
            }
            $type = 'updated';
        }


        add_settings_error(
                'eppp', esc_attr('settings_updated'), __($message), $type
        );
        return $output;
    }

}
